Skip to main content
POST
/
trust-centers
/
{slugId}
/
viewers
Add Trust Center viewer
curl --request POST \
  --url https://api.vanta.com/v1/trust-centers/{slugId}/viewers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>",
  "name": "<string>",
  "companyName": "<string>",
  "isNdaRequired": true,
  "accessLevel": "FULL_ACCESS",
  "expirationDate": "2023-11-07T05:31:56Z",
  "resourceIds": [
    "<string>"
  ]
}
'
{
  "id": "a2f7e1b9d0c3f4e5a6c7b8d9",
  "email": "exampleviewer@company.com",
  "name": "Example Viewer",
  "companyName": "Viewer Company, Inc.",
  "resourceIds": null,
  "accessLevel": "FULL_ACCESS",
  "ndaInfo": null,
  "externalServiceAssociations": [
    {
      "service": "SALESFORCE",
      "id": "0032S000062DfqnQBG",
      "objectType": "Salesforce Contact"
    }
  ],
  "creationDate": "2020-01-01T00:00:00.000Z",
  "updatedDate": "2020-01-01T00:00:00.000Z",
  "expirationDate": null,
  "addedByUser": null
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

slugId
string
required

Body

application/json
email
string
required

Email of the viewer.

name
string
required

Name of the viewer.

companyName
string
required

Name of the viewer's company.

isNdaRequired
boolean
required

Whether to require an NDA for the viewer.

accessLevel
enum<string>
required

Access level for the viewer.

Available options:
FULL_ACCESS,
PARTIAL_ACCESS
expirationDate
string<date-time>

The date access should expire for this viewer. If a date isn't provided, access will not expire.

resourceIds
string[]

Identifiers for the resources that this viewer should have access to. If this field is omitted, the viewer will have access to all resources on the Trust Center.

Response

200 - application/json

Ok

id
string
required

Unique identifier for the viewer.

email
string
required

Email of the viewer.

name
string | null
required

Name of the viewer.

companyName
string | null
required

Name of the viewer's company.

resourceIds
string[] | null
required

IDs for the resources this viewer has access to. If null, the viewer has access to all resources on the Trust Center.

accessLevel
enum<string>
required

Access level of the viewer.

Available options:
FULL_ACCESS,
PARTIAL_ACCESS
ndaInfo
object
required

NDA-related information for the viewer.

externalServiceAssociations
object[] | null
required

Objects in external services that the viewer is associated with.

creationDate
string<date-time>
required

Date the viewer was created.

updatedDate
string<date-time>
required

Date the viewer was last updated.

expirationDate
string<date-time> | null
required

Expiration date for the viewer's access.

addedByUser
object
required

User that shared the Trust Center with this viewer.